"use strict";

const promClient = require("prom-client");
const winston = require("winston");
const PrometheusTransport = require(".");

const logger = winston.createLogger({
  transports: [new PrometheusTransport()]
});

logger.info("Hello info");

logger.warn("Hello warning");

logger.error("Error", new Error("oh no"));

console.log(promClient.register.metrics());

const someRandomOtherRegister = new promClient.Registry();
const logger2 = winston.createLogger({
  transports: [new PrometheusTransport({ register: someRandomOtherRegister })]
});

logger2.info("register123");
console.log(someRandomOtherRegister.metrics());
console.log("Old ones: ", promClient.register.metrics());
